Bug 206069 - Opened main project should be pre-scanned by fast indexer to provide some date before the root is scanned by JavaCustomIndexer
Opened main project should be pre-scanned by fast indexer to provide some dat...
Status: RESOLVED FIXED
Product: java
Classification: Unclassified
Component: Source
7.2
All All
: P2 (vote)
: 7.2
Assigned To: Svata Dedic
issues@java
: PLAN
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-12-07 10:16 UTC by Tomas Zezula
Modified: 2012-02-28 13:51 UTC (History)
1 user (show)

See Also:
Issue Type: TASK
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tomas Zezula 2011-12-07 10:16:26 UTC
Opened (main) project should be pre-scanned by fast indexer to provide some date before the root is scanned by JavaCustomIndexer. The pre-scann indexer will provide only info about top level public classes.
Comment 1 Quality Engineering 2012-02-25 10:44:00 UTC
Integrated into 'main-golden', will be available in build *201202250400* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/590b601c3f0d
User: Svata Dedic <sdedic@netbeans.org>
Log: #206069: Fast scanner and Type Provider implementation implemented
Comment 2 Tomas Zezula 2012-02-28 13:51:39 UTC
http://hg.netbeans.org/main-golden/rev/590b601c3f0d


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo